
#---------------
#Read in data
#---------------
covid_p<-read.csv('covid_p.csv',header=T)
str(covid_p)
dim(covid_p)

#make factor
covid_p$time<-factor(covid_p$time)
#make 'before' the baseline
covid_p$time<-relevel(covid_p$time,"before")
#adjustment of visits for blood and swabs
#these sample types were collected during these visits as per the protocol
covid_p$Adjusted.Actual.Visits<-covid_p$Actual.Visits-covid_p$b2adjustment

#---------------
#Attendance rate 
#---------------

m1<-glm( Actual.Visits~offset(log(Theoretical.Visits))+time,data=covid_p,family="poisson")
summary(m1)

#There is no significant difference in attendance rate before and after covid
p = pchisq(m1$null.deviance-m1$deviance, m1$df.null-m1$df.residual, lower.tail=FALSE);p

#attendance rate pre covid
exp(summary(m1)$'coefficients'[1,c(1)])*100
#attendance rate post covid
exp(summary(m1)$'coefficients'[1,c(1)]+summary(m1)$'coefficients'[2,c(1)])*100

#---------------------
#Stool collection rate
#---------------------

m3<-glm( stool~offset(log(Actual.Visits))+time,data=covid_p,family="poisson")
summary(m3)

#There is no significant difference in stool collection rate before and after covid
p = pchisq(m3$null.deviance-m3$deviance, m3$df.null-m3$df.residual, lower.tail=FALSE);p

#collection rate of stools was 
exp(summary(m3)$'coefficients'[1,c(1)])*100


#---------------------
#Blood collection rate
#---------------------

m5<-glm( blood~offset(log(Adjusted.Actual.Visits))+time,data=covid_p,family="poisson")
summary(m5)

#there is a significant different in blood collection rate before and after covid
p = pchisq(m5$null.deviance-m5$deviance, 1, lower.tail=FALSE);p

#coefficient
exp(summary(m5)$'coefficients'[2,c(1)])
#confidence interval
ci<-confint(m5)[2,]
exp(ci)

#---------------------
#Swab collection rate
#---------------------

m7<-glm( swab~offset(log(Adjusted.Actual.Visits))+time,data=covid_p,family="poisson")
summary(m7)

p = pchisq(m7$null.deviance-m7$deviance, 1, lower.tail=FALSE);p

#coefficient
exp(summary(m7)$'coefficients'[2,c(1)])
ci<-confint(m7)[2,]
#confidence interval
exp(ci)

